Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058714 - [abrt] lightdm-gtk: _g_log_abort(): lightdm-gtk-greeter killed by SIGABRT
Summary: [abrt] lightdm-gtk: _g_log_abort(): lightdm-gtk-greeter killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lightdm-gtk
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aefd67683e9f2132ee0dcc32ca0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 12:17 UTC by Andy Sapiro
Modified: 2015-06-29 14:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:49:28 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: cgroup (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: core_backtrace (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: dso_list (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: environ (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: limits (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: maps (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: open_fds (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: proc_pid_status (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details
File: var_log_messages (deleted)
2014-01-28 12:17 UTC, Andy Sapiro
no flags Details

Description Andy Sapiro 2014-01-28 12:17:12 UTC
Version-Release number of selected component:
lightdm-gtk-1.6.1-2.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: _g_log_abort
executable:     /usr/sbin/lightdm-gtk-greeter
kernel:         3.12.7-300.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            993

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 _g_log_abort at gmessages.c:255
 #5 gdk_cairo_surface_paint_pixbuf at gdkcairo.c:192
 #6 gdk_cairo_set_source_pixbuf at gdkcairo.c:337
 #7 set_background at lightdm-gtk-greeter.c:1413
 #8 set_user_background at lightdm-gtk-greeter.c:452
 #9 load_user_list at lightdm-gtk-greeter.c:1294

Comment 1 Andy Sapiro 2014-01-28 12:17:19 UTC
Created attachment 856541 [details]
File: backtrace

Comment 2 Andy Sapiro 2014-01-28 12:17:21 UTC
Created attachment 856542 [details]
File: cgroup

Comment 3 Andy Sapiro 2014-01-28 12:17:24 UTC
Created attachment 856543 [details]
File: core_backtrace

Comment 4 Andy Sapiro 2014-01-28 12:17:31 UTC
Created attachment 856544 [details]
File: dso_list

Comment 5 Andy Sapiro 2014-01-28 12:17:34 UTC
Created attachment 856545 [details]
File: environ

Comment 6 Andy Sapiro 2014-01-28 12:17:36 UTC
Created attachment 856546 [details]
File: limits

Comment 7 Andy Sapiro 2014-01-28 12:17:40 UTC
Created attachment 856547 [details]
File: maps

Comment 8 Andy Sapiro 2014-01-28 12:17:42 UTC
Created attachment 856548 [details]
File: open_fds

Comment 9 Andy Sapiro 2014-01-28 12:17:45 UTC
Created attachment 856549 [details]
File: proc_pid_status

Comment 10 Andy Sapiro 2014-01-28 12:17:48 UTC
Created attachment 856550 [details]
File: var_log_messages

Comment 11 Stephen Gwynn 2014-08-11 03:40:51 UTC
Changing monitors on laptop.  from laptop to external 1920x1080 lcd.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: _g_log_abort
executable:     /usr/sbin/lightdm-gtk-greeter
kernel:         3.11.10-301.fc20.x86_64
package:        lightdm-gtk-1.6.1-2.fc20
reason:         Process /usr/sbin/lightdm-gtk-greeter was killed by signal 6 (SIGABRT)
runlevel:       N 5
type:           CCpp
uid:            993

Comment 12 Steven Mercurio 2015-01-20 16:07:03 UTC
Another user experienced a similar problem:

No idea what is causing this but I see this is abrt system list a lot.  Up to date except for these:

[-----@----- ~]$ yum check-update
Loaded plugins: aliases, fastestmirror, fs-snapshot, langpacks, local, priorities, protectbase, refresh-packagekit, tmprepo, upgrade-helper, verify, versionlock
Determining fastest mirrors
 * fedora: fedora.mirrors.tds.net
 * rpmfusion-free: mirror.pw
 * rpmfusion-free-updates: mirror.pw
 * rpmfusion-nonfree: mirror.pw
 * rpmfusion-nonfree-updates: mirror.pw
 * updates: fedora.mirrors.tds.net
adobe-linux-x86_64                                                                                                                                                                                                                        2/2
google-chrome                                                                                                                                                                                                                             3/3
google-talkplugin                                                                                                                                                                                                                         1/1
0 packages excluded due to repository protections

Thunar.x86_64                                                                                                      1.6.4-1.fc20                                                                                             updates           
drupal7-features.noarch                                                                                            2.3-1.fc20                                                                                               updates           
drupal7-path_breadcrumbs.noarch                                                                                    3.1-1.fc20                                                                                               updates           
flash-plugin.x86_64                                                                                                11.2.202.429-release                                                                                     adobe-linux-x86_64
gawk.x86_64                                                                                                        4.1.0-4.fc20                                                                                             updates           
gettext.x86_64                                                                                                     0.18.3.2-5.fc20                                                                                          updates           
gettext-common-devel.noarch                                                                                        0.18.3.2-5.fc20                                                                                          updates           
gettext-devel.x86_64                                                                                               0.18.3.2-5.fc20                                                                                          updates           
gettext-libs.x86_64                                                                                                0.18.3.2-5.fc20                                                                                          updates           
google-chrome-stable.x86_64                                                                                        39.0.2171.99-1                                                                                           google-chrome     
kdelibs.x86_64                                                                                                     6:4.14.3-8.fc20                                                                                          updates           
kdelibs-common.x86_64                                                                                              6:4.14.3-8.fc20                                                                                          updates           
kdelibs-webkit.x86_64                                                                                              6:4.14.3-8.fc20                                                                                          updates           
libchewing.x86_64                                                                                                  0.4.0-3.fc20                                                                                             updates           
libgudev1.x86_64                                                                                                   208-29.fc20                                                                                              updates           
libtirpc.x86_64                                                                                                    0.2.5-2.0.fc20                                                                                           updates           
libvdpau.x86_64                                                                                                    0.9-1.fc20                                                                                               updates           
lz4.x86_64                                                                                                         r127-1.fc20                                                                                              updates           
mate-applets.x86_64                                                                                                1.8.1-2.fc20                                                                                             updates           
mate-notification-daemon.x86_64                                                                                    1.8.1-2.fc20                                                                                             updates           
mate-power-manager.x86_64                                                                                          1.8.1-2.fc20                                                                                             updates           
mate-settings-daemon.x86_64                                                                                        1.8.2-2.fc20                                                                                             updates           
mate-themes.noarch                                                                                                 1.9.3-2.fc20                                                                                             updates           
perl-Params-Validate.x86_64                                                                                        1.16-1.fc20                                                                                              updates           
rpcbind.x86_64                                                                                                     0.2.2-1.1.fc20                                                                                           updates           
systemd.x86_64                                                                                                     208-29.fc20                                                                                              updates           
systemd-journal-gateway.x86_64                                                                                     208-29.fc20                                                                                              updates           
systemd-libs.i686                                                                                                  208-29.fc20                                                                                              updates           
systemd-libs.x86_64                                                                                                208-29.fc20                                                                                              updates           
systemd-python.x86_64                                                                                              208-29.fc20                                                                                              updates           
systemd-python3.x86_64                                                                                             208-29.fc20                                                                                              updates           
xfdesktop.x86_64                                                                                                   4.10.3-3.fc20                                                                                            updates           
[-----@----- ~]$

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/sbin/lightdm-gtk-greeter
crash_function: _g_log_abort
executable:     /usr/sbin/lightdm-gtk-greeter
kernel:         3.17.8-200.fc20.x86_64
package:        lightdm-gtk-1.8.5-9.fc20
reason:         lightdm-gtk-greeter killed by SIGABRT
runlevel:       unknown
type:           CCpp
uid:            993

Comment 13 Fedora End Of Life 2015-05-29 10:42:55 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-06-29 14:49:28 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.